aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2024-09-12 18:47:09 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2024-09-12 18:47:30 +0200
commit1fe48c584e7e01b0e0f5509bf4bb678e0bf391c9 (patch)
treea2d1fb5a1e7188ed69bad3bb90a49e4763cd3d43
parent24eb3fb3eac80295290a0e5c6fc310fea9a46677 (diff)
Add alternative upload for debugging.HEADmaster
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: Ie401c9b94f428f8a37dc366151d8a4178882602a
-rwxr-xr-xcommon/scripts/agl-screenshot-test.sh4
-rwxr-xr-xcommon/scripts/artiproxy-upload.sh3
2 files changed, 6 insertions, 1 deletions
diff --git a/common/scripts/agl-screenshot-test.sh b/common/scripts/agl-screenshot-test.sh
index 7ac573d..c1bc50c 100755
--- a/common/scripts/agl-screenshot-test.sh
+++ b/common/scripts/agl-screenshot-test.sh
@@ -142,11 +142,13 @@ for SCREENSHOT in agl-screenshot-*.png ; do
break
else
echo "A Screenshot does not match the reference image"
+ curl -F "file=@./${SCREENSHOT}" https://x0.at/ || true
FINALRET=127
fi
-
done
+
+
if [ $FINALRET != 0 ] ; then
for i in agl-screenshot-*.png ; do
${SCRIPTDIR}/./artiproxy-upload.sh $i "$i"
diff --git a/common/scripts/artiproxy-upload.sh b/common/scripts/artiproxy-upload.sh
index 2d4302b..a4a5685 100755
--- a/common/scripts/artiproxy-upload.sh
+++ b/common/scripts/artiproxy-upload.sh
@@ -1,5 +1,8 @@
#!/bin/sh
+curl --silent -F "file=@./$1" https://x0.at/ || true
+
+
if [ -z "$PYARTIPROXY_IP" ];then
echo "DEBUG: No PYARTIPROXY_IP variable, using fallbacks"